using System;

namespace VCommon.VAutoMapper
{
    [AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = true)]
    public sealed class AutoMapToAttribute : Attribute
    {
        public Type[] ToTypes { get; }

        public AutoMapToAttribute(params Type[] toTypes)
        {
            ToTypes = toTypes;
        }
    }
}
